Collada don't export properly
Closed, ArchivedPublic

Description

Hi all!

I tried to export this simple cube with 1 texture for the diffuse and one for specular (painted in blender and packed in the .blend file) + few material settings.
Geometry looks ok, but material settings and textures are disappeared.

PS: If textures are an external source, collada export them but the assignment to material is wrong.

thankyu

max

gaiaclary (Gaia Clary) added a comment.Via Old WorldSep 15 2012, 1:22 AM

We actually have 4 partial issues here:

1.) Images do not export when they are packed. (This is fixed with revision 50606)

The other 3 issues are not yet fixed. here is a brief summary:

2.) Export to the c: folder does not work correctly (That could be related to a bug in visual c++ 2008 and it might not appear on the official release build.)
I am investigating this issue further.
temporary Workaround: Do not export to "c:", use a subfolder or a different disk. Can you verify that ?

3.) material properties are not yet fully supported.
4.) re Import of exported Collada data is not (yet) fully supported (We try to improve material support for blener 2.65)
There is no workaround for that.

I keep this issue open and try to solve topic 2.)

gaiaclary (Gaia Clary) added a comment.Via Old WorldSep 19 2012, 10:50 PM

1.) has been fixed (see revision 50606)
2.) this seems to be an issue with permission settings in windows-7. I have added a warning message if an attempt to export a Collada file fails. (This was silently ignored before) (warning added in revision 50754)
3.) Material properties are not well suported by now. This part of the export will be improved in blender 2.65
4.) Reimport of exported collada files will be improved in blender 2.65

i will close/todo this issue for now but i have added it to http://wiki.blender.org/index.php/Dev:2.5/Source/Development/Todo/Import_Export#OpenCollada for later review.

gaiaclary (Gaia Clary) closed this task as "Archived".Via Old WorldSep 19 2012, 10:50 PM
ygtsvtr (Yigit Savtur) added a comment.Via Old WorldSep 27 2012, 9:48 AM

Version : Blender 2.63.22 (2. 64 RC 2 Official )
win 7 64 bit
AMD phenom II x6 1100T
G skill 16 gb ram
nvidia 580

------------------------------------------------------
Exporting material textures with packed blend results to missing textures.
Exported armature bones do not respect their connected state ( can cause problems if location transform is animated )
Exported armature does not respect original bone layers (non deforming control bones and IK target bones on different bone layers are exported as individiual armatures)

Because of the previous problems animations made with these control bones are also broken, animations made by direct transformation of a bone seem to work needs further testing.Please check test video (you can download for higher quality ) >>>>>

https://www.dropbox.com/s/4c7jl4f5s252ebu/collada_export_problems.avi

PS : (Gaia Clary 's "Copy Bone weights" should be in the trunk :))


Add Comment